
const Cc = Components.classes;
const Ci = Components.interfaces;
Components.utils.import('resource://gre/modules/XPCOMUtils.jsm');

function KmeleonPrint() {}
KmeleonPrint.prototype = {
classID : Components.ID('{fbf1c933-76b2-11e3-981f-0800200c9a65}'),
	
getURIFlags : function (aURI) {
	return Ci.nsIAboutModule.ALLOW_SCRIPT;
},
newChannel : function (aURI) {
	let ios = Cc['@mozilla.org/network/io-service;1'].getService(Ci.nsIIOService);
	let channel = ios.newChannel('chrome://browser/content/KmeleonPrint.xul', null, null);
	channel.originalURI = aURI;
	return channel;
},
QueryInterface : XPCOMUtils.generateQI([Ci.nsIAboutModule]),
};

const NSGetFactory = XPCOMUtils.generateNSGetFactory([KmeleonPrint]);